# Source Generated with Decompyle++
# File: in.pyo (Python 2.5)

import codecs

class Codec(codecs.Codec):
    
    def encode(self, input, errors = 'strict'):
        return codecs.charmap_encode(input, errors, encoding_table)

    
    def decode(self, input, errors = 'strict'):
        return codecs.charmap_decode(input, errors, decoding_table)



class IncrementalEncoder(codecs.IncrementalEncoder):
    
    def encode(self, input, final = False):
        return codecs.charmap_encode(input, self.errors, encoding_table)[0]



class IncrementalDecoder(codecs.IncrementalDecoder):
    
    def decode(self, input, final = False):
        return codecs.charmap_decode(input, self.errors, decoding_table)[0]



class StreamWriter(Codec, codecs.StreamWriter):
    pass


class StreamReader(Codec, codecs.StreamReader):
    pass


def getregentry():
    return codecs.CodecInfo(name = 'cp1256', encode = Codec().encode, decode = Codec().decode, incrementalencoder = IncrementalEncoder, incrementaldecoder = IncrementalDecoder, streamreader = StreamReader, streamwriter = StreamWriter)

decoding_table = u'\x00\x01\x02\x03\x04\x05\x06\x07\x08\t\n\x0b\x0c\r\x0e\x0f\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1a\x1b\x1c\x1d\x1e\x1f !"#$%&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7f\xe2\x82\xac\xd9\xbe\xe2\x80\x9a\xc6\x92\xe2\x80\x9e\xe2\x80\xa6\xe2\x80\xa0\xe2\x80\xa1\xcb\x86\xe2\x80\xb0\xd9\xb9\xe2\x80\xb9\xc5\x92\xda\x86\xda\x98\xda\x88\xda\xaf\xe2\x80\x98\xe2\x80\x99\xe2\x80\x9c\xe2\x80\x9d\xe2\x80\xa2\xe2\x80\x93\xe2\x80\x94\xda\xa9\xe2\x84\xa2\xda\x91\xe2\x80\xba\xc5\x93\xe2\x80\x8c\xe2\x80\x8d\xda\xba\xc2\xa0\xd8\x8c\xc2\xa2\xc2\xa3\xc2\xa4\xc2\xa5\xc2\xa6\xc2\xa7\xc2\xa8\xc2\xa9\xda\xbe\xc2\xab\xc2\xac\xc2\xad\xc2\xae\xc2\xaf\xc2\xb0\xc2\xb1\xc2\xb2\xc2\xb3\xc2\xb4\xc2\xb5\xc2\xb6\xc2\xb7\xc2\xb8\xc2\xb9\xd8\x9b\xc2\xbb\xc2\xbc\xc2\xbd\xc2\xbe\xd8\x9f\xdb\x81\xd8\xa1\xd8\xa2\xd8\xa3\xd8\xa4\xd8\xa5\xd8\xa6\xd8\xa7\xd8\xa8\xd8\xa9\xd8\xaa\xd8\xab\xd8\xac\xd8\xad\xd8\xae\xd8\xaf\xd8\xb0\xd8\xb1\xd8\xb2\xd8\xb3\xd8\xb4\xd8\xb5\xd8\xb6\xc3\x97\xd8\xb7\xd8\xb8\xd8\xb9\xd8\xba\xd9\x80\xd9\x81\xd9\x82\xd9\x83\xc3\xa0\xd9\x84\xc3\xa2\xd9\x85\xd9\x86\xd9\x87\xd9\x88\xc3\xa7\xc3\xa8\xc3\xa9\xc3\xaa\xc3\xab\xd9\x89\xd9\x8a\xc3\xae\xc3\xaf\xd9\x8b\xd9\x8c\xd9\x8d\xd9\x8e\xc3\xb4\xd9\x8f\xd9\x90\xc3\xb7\xd9\x91\xc3\xb9\xd9\x92\xc3\xbb\xc3\xbc\xe2\x80\x8e\xe2\x80\x8f\xdb\x92'
encoding_table = codecs.charmap_build(decoding_table)
